# $Revision: 1.22 $, $Date: 2010/11/13 00:21:40 $
Summary:	Python wrappers for libxf86config
Summary(pl.UTF-8):	Pythonowe dowiązania do libxf86config
Name:		python-xf86config
Version:	0.3.37
Release:	6
License:	GPL
Group:		Libraries
# https://fedorahosted.org/releases/p/y/pyxf86config/ (not yet)
Source0:	pyxf86config-%{version}.tar.bz2
# Source0-md5:	0ea1b54c1a9cbff7f67126a6c048361e
Patch0:		%{name}-libtool.patch
URL:		https://fedoraproject.org/wiki/Pyxf86config
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	xorg-xserver-server-devel >= 1.1.0-0.3
%pyrequires_eq	python-libs
ExcludeArch:	ppc64 s390 s390x
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python wrappers for the X server config file library libxf86config. It
is used to read and write X server configuration files.

%description -l pl.UTF-8
Pythonowe dowiązania do biblioteki pliku konfiguracyjnego X serwera
libxf86config. Jest ona wykorzystywana do odczytywania i zapisywania
plików konfiguracyjnych X serwera.

%prep
%setup -q -n pyxf86config-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-python-version=%{py_ver}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS AUTHORS
%attr(755,root,root) %{py_sitedir}/ixf86configmodule.so
%{py_sitedir}/xf86config.py[co]

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-xf86config.spec,v $
Revision 1.22  2010/11/13 00:21:40  pawelz
- release 6

Revision 1.21  2010/07/08 08:44:39  arekm
- release 5

Revision 1.20  2009/03/14 12:36:27  hawk
- release 4

Revision 1.19  2008/11/02 15:30:18  arekm
- release 3

Revision 1.18  2008/10/07 18:31:29  patrys
- rel 2

Revision 1.17  2008/08/31 09:07:27  qboosh
- URL

Revision 1.16  2008/08/30 00:38:16  patrys
- 0.3.37

Revision 1.15  2007-12-18 10:59:44  patrys
- 0.3.34

Revision 1.14  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.12  2006/09/07 07:25:06  qboosh
- BR: ac,lt

Revision 1.11  2006/09/06 16:15:36  glen
- merge from AC-branch

Revision 1.10  2006/06/02 12:52:43  shadzik
- updated BRs

Revision 1.9  2006/06/01 08:26:25  glen
- cleanup

Revision 1.8  2006/06/01 08:23:33  spider
- XFree86 > xorg

Revision 1.7  2006/05/24 22:25:23  glen
- 0.3.24, needs de-xorgifizing

Revision 1.6  2006/01/02 08:18:44  arekm
- rel 2

Revision 1.5  2005/12/26 00:41:01  qboosh
- use PIC; but needs libxf86config with PIC

Revision 1.4  2005/04/24 14:42:12  qboosh
- more cleanups, refresh config.sub, removed invalid preun

Revision 1.3  2005/04/24 10:39:58  troll
- missing CVS tag
- use unified macros
- added polish description
- cosmetics

Revision 1.2  2005/04/23 21:32:57  patrys
- fixed deps

Revision 1.1  2005/04/23 21:30:07  patrys
- Initial PLD release
